# Class WriteOnlyModelViewException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.model.WriteOnlyModelViewException

All Implemented Interfaces:
  `Serializable`

@Incubating public class WriteOnlyModelViewException extends GradleException
Thrown when an attempt is made to read the value of a model element that is not readable at the time.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WriteOnlyModelViewException(String property, org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WriteOnlyModelViewException

public WriteOnlyModelViewException(String property, org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)